Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class Environment

    java.lang.Object
      |
      +--org.omg.CORBA.Environment

Direct Known Subclasses:
  Environment

public abstract class Environment
extends java.lang.Object

Constructor Summary
`Environment()`

Method Summary
`abstract void` | `clear()`
`abstract java.lang.Exception` | `exception()`
`abstract void` | `exception(java.lang.Exception exception)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Environment

    public Environment()

Method Detail

### exception

    public abstract void exception(java.lang.Exception exception)

### exception

    public abstract java.lang.Exception exception()

### clear

    public abstract void clear()

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD